Bug 1009446 - Review Request: open-mtools - Tools for testing IP multicast
Review Request: open-mtools - Tools for testing IP multicast
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 09:10 EDT by Petr Pisar
Modified: 2014-02-04 22:43 EST (History)
2 users (show)

See Also:
Fixed In Version: open-mtools-1.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-09-18 09:10:17 EDT
Spec URL: http://ppisar.fedorapeople.org/open-mtools/open-mtools.spec
SRPM URL: http://ppisar.fedorapeople.org/open-mtools/open-mtools-1.0-1.fc19.src.rpm
Description:
This package contains the msend, mdump, and mpong tools to aid in testing
multicast networks.

Fedora Account System Username: ppisar
Comment 1 Michael Scherer 2014-01-26 16:33:25 EST
- license breakdown should be documented
- license text should be shipped with the tarball, can you
contact upstream ?
- for completeness, the code do have some BSD code cut
and past for argument handling, but that's not blocking the review
- I do not see where is the gpl v3 code in the License tag
in fact, the tarball do not correspond to the files on svn, where
there is udp.c in gpl v3.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/1009446-open-
     mtools/licensecheck.txt
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 204800 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: open-mtools-1.0-1.fc20.x86_64.rpm
          open-mtools-1.0-1.fc20.src.rpm
open-mtools.x86_64: W: spelling-error Summary(en_US) multicast -> Multics, simulcast
open-mtools.x86_64: W: spelling-error %description -l en_US multicast -> Multics, simulcast
open-mtools.x86_64: W: no-manual-page-for-binary mpong
open-mtools.x86_64: W: no-manual-page-for-binary mdump
open-mtools.x86_64: W: no-manual-page-for-binary msend
open-mtools.src: W: spelling-error Summary(en_US) multicast -> Multics, simulcast
open-mtools.src: W: spelling-error %description -l en_US msend -> mend, send, mends
open-mtools.src: W: spelling-error %description -l en_US mdump -> dump, m dump, dumdum
open-mtools.src: W: spelling-error %description -l en_US mpong -> pong, m pong
open-mtools.src: W: spelling-error %description -l en_US multicast -> Multics, simulcast
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint open-mtools
open-mtools.x86_64: W: spelling-error Summary(en_US) multicast -> Multics, simulcast
open-mtools.x86_64: W: spelling-error %description -l en_US multicast -> Multics, simulcast
open-mtools.x86_64: W: no-manual-page-for-binary mpong
open-mtools.x86_64: W: no-manual-page-for-binary mdump
open-mtools.x86_64: W: no-manual-page-for-binary msend
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
open-mtools (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
open-mtools:
    open-mtools
    open-mtools(x86-64)



Source checksums
----------------
http://open-mtools.googlecode.com/files/mtools.1.0.zip :
  CHECKSUM(SHA256) this package     : 5db4d94f7628cabe794ecf0ed3eb1e9d4cfe312a6150971e0d046a1d122d4154
  CHECKSUM(SHA256) upstream package : 5db4d94f7628cabe794ecf0ed3eb1e9d4cfe312a6150971e0d046a1d122d4154


Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Command line :./try-fedora-review -b 1009446
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Petr Pisar 2014-01-27 08:45:48 EST
> - license breakdown should be documented

Done. Updated package is on the same URL.

> - license text should be shipped with the tarball, can you
> contact upstream ?

License is shipped with the archive. See README.txt:

These tools are offered to the general public for any use without license.

  THE SOFTWARE IS PROVIDED "AS IS" AND INFORMATICA DISCLAIMS ALL WARRANTIES
  EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY IMPLIED WARRANTIES OF
  NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR
  PURPOSE.  INFORMATICA DOES NOT WARRANT THAT USE OF THE SOFTWARE WILL BE
  UNINTERRUPTED OR ERROR-FREE.  INFORMATICA SHALL NOT, UNDER ANY CIRCUMSTANCES,
  BE LIABLE TO LICENSEE FOR LOST PROFITS, CONSEQUENTIAL, INCIDENTAL, SPECIAL OR
  INDIRECT DAMAGES ARISING OUT OF OR RELATED TO THIS AGREEMENT OR THE
  TRANSACTIONS CONTEMPLATED HEREUNDER, EVEN IF INFORMATICA HAS BEEN APPRISED OF
  THE LIKELIHOOD OF SUCH DAMAGES.

Other respective license texts (BSD) are quoted in each respective file.

> - I do not see where is the gpl v3 code in the License tag

Sorry. I had my own Makefile under GPLv3, but took it away, and forgot to remove the license name from the spec file. Also fixed.

> in fact, the tarball do not correspond to the files on svn, where
there is udp.c in gpl v3.

LGPLv2+. However I do not package the upstream development tree. I package released ZIP archive which does not contain the file yet.

Is it acceptable?
Comment 3 Michael Scherer 2014-01-27 09:06:22 EST
Ok, seems good for me, approved.
Comment 4 Petr Pisar 2014-01-27 09:40:26 EST
Michael, please don't forget to move the bug report into assigned state once you start with the review.
Comment 5 Petr Pisar 2014-01-27 09:41:20 EST
New Package SCM Request
=======================
Package Name: open-mtools
Short Description: Tools for testing IP multicast
Owners: ppisar
Branches: f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2014-01-27 09:54:07 EST
Git done (by process-git-requests).
Comment 7 Petr Pisar 2014-01-27 11:09:42 EST
Thank you for the review and the repository.
Comment 8 Fedora Update System 2014-01-27 11:10:49 EST
open-mtools-1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/open-mtools-1.0-1.fc20
Comment 9 Fedora Update System 2014-01-27 11:11:18 EST
open-mtools-1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/open-mtools-1.0-1.fc19
Comment 10 Fedora Update System 2014-02-04 22:40:05 EST
open-mtools-1.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2014-02-04 22:43:55 EST
open-mtools-1.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.